#include <bits/stdc++.h>
using namespace std;
string b, c1, c2, p;
int a1, a2, razlika;
int main(){
    cin >> b >> a1 >> a2;
    c1=b.substr(0, 1);
    c2=b.substr(1, 1);
    razlika=max(a1, a2)-min(a1, a2);
    if(razlika>1){
        cout << "nemoguce" << endl;
    }
    else{
        if(razlika==0){
            for(int i=1; i<=a1+a2; i++){
                if(i%2==1){
                    p=p+c1;
                }
                if(i%2==0){
                    p=p+c2;
                }
            }
        }
        else{
            if(a1>a2){
                for(int m=1; m<=a1+a2; m++){
                    if(m%2==1){
                        p=p+c1;
                    }
                    if(m%2==0){
                        p=p+c2;
                    }
                }
            }
            else{
                for(int n=1; n<=a1+a2; n++){
                    if(n%2==1){
                        p=p+c2;
                    }
                    if(n%2==0){
                        p=p+c1;
                    }
                }
            }
        }
    cout << p << endl;
    }
    return 0;
}